%define name	gourmet
%define version 0.13.4
%define release %mkrel 4

Name: 	 	%{name}
Summary: 	Recipe manager for the GNOME desktop
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/grecipe-manager/%{name}-%{version}-2.tar.bz2
URL:		http://grecipe-manager.sourceforge.net/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel 
BuildRequires:  python-metakit ImageMagick
BuildRequires:  desktop-file-utils pygtk2.0-devel python-sqlite2 PyRTF python-imaging
Requires:	gnome-python pygtk2.0-libglade
Requires:	python-metakit python-imaging python-sqlite2 python-imaging
Requires:	python-reportlab
BuildArch:	noarch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Gourmet allows you to collect, search and organize your recipes, and to
automatically generate shopping lists from your collection.

%prep
%setup -q
chmod -x data/recipe.dtd

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root %buildroot --disable-modules-check

%find_lang %name

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Other" \
  --remove-key="Icon" \
  --add-category="GTK" \
  --add-category="Database;Office" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 images/recbox.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 images/recbox.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 images/recbox.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc CHANGES MANIFEST PKG-INFO README TODO
%{_bindir}/%name
%{py_puresitedir}/%{name}*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.13.4-4mdv2009.0
+ Revision: 240795
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 23 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.13.4-2mdv2008.0
+ Revision: 92319
- Minor indentation fix.

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Requires (Bug #33924)
      Remove old menu

* Wed Sep 05 2007 Jérôme Soyer <saispo@mandriva.org> 0.13.4-1mdv2008.0
+ Revision: 80014
- Add ImageMagick
- Add desktop-file-utils
- New release 0.13.4

  + Pascal Terjan <pterjan@mandriva.org>
    - Ship the .egg-info
    - Fix BuildRequires/Requires on metakit-python


* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.11.2-2mdv2007.0
- xdg menu
- buildrequires python-sqlite2 PyRTF python-imaging

* Thu May 04 2006 Austin Acton <austin@mandriva.org> 0.11.2-1mdk
- New release 0.11.2

* Mon Apr 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5.13-2mdk
- Add BuildRequires
- use mkrel

* Thu Nov 10 2005 Austin Acton <austin@mandriva.org> 0.8.5.13-1mdk
- New release 0.8.5.13

* Thu Sep 08 2005 Austin Acton <austin@mandriva.org> 0.8.5.12-1mdk
- New release 0.8.5.12

* Thu Aug 04 2005 Austin Acton <austin@mandriva.org> 0.8.5.9-1mdk
- New release 0.8.5.9

* Wed Jun 22 2005 Austin Acton <austin@mandriva.org> 0.8.5.3-1mdk
- New release 0.8.5.3

* Sun Jun 05 2005 Austin Acton <austin@mandriva.org> 0.8.5.0-1mdk
- New release 0.8.5.0

* Fri May 20 2005 Austin Acton <austin@mandriva.org> 0.8.4.4-1mdk
- New release 0.8.4.4

* Wed May 18 2005 Austin Acton <austin@mandriva.org> 0.8.4.3-1mdk
- New release 0.8.4.3

* Wed May 11 2005 Austin Acton <austin@mandriva.org> 0.8.4.1-1mdk
- New release 0.8.4.1

* Sun Apr 24 2005 Austin Acton <austin@mandriva.org> 0.8.3.4-1mdk
- New release 0.8.3.4
- locales

* Sun Apr 17 2005 Austin Acton <austin@mandrake.org> 0.8.3.3-1mdk
- New release 0.8.3.3

* Wed Apr 06 2005 Austin Acton <austin@mandrake.org> 0.8.3-1mdk
- New release 0.8.3

* Thu Mar 24 2005 Austin Acton <austin@mandrake.org> 0.8.2.1-1mdk
- 0.8.2.1

* Mon Mar 21 2005 Austin Acton <austin@mandrake.org> 0.8.2-2.1mdk
- 0.8.2-2

* Mon Mar 21 2005 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- New release 0.8.2

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.8.1.2-1mdk
- New release 0.8.1.2

* Fri Mar 11 2005 Austin Acton <austin@mandrake.org> 0.8.0-1mdk
- 0.8.0
- source URL

* Sat Jan 10 2004 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- initial package

